CVE-2016-9138

Priority
Description
PHP through 5.6.27 and 7.x through 7.0.12 mishandles property modification
during __wakeup processing, which allows remote attackers to cause a denial
of service or possibly have unspecified other impact via crafted serialized
data, as demonstrated by Exception::__toString with DateInterval::__wakeup.
Notes
mdeslaurshould not unserialize untrusted data

CVE-2016-9137 was for the ext/curl/curl_file.c vulnerability
that was fixed in the same bug. This CVE is for the remaining
security problem associated with __wakeup, which, as far as I
can tell is still unfixed as of 2020-02-07
Package
Source: php5 (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):deferred (2020-02-07)
Ubuntu 14.04 ESM (Trusty Tahr):deferred (2020-02-07)
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 19.10 (Eoan Ermine):DNE
Ubuntu 20.04 (Focal Fossa):DNE
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):deferred (2020-02-07)
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 19.10 (Eoan Ermine):DNE
Ubuntu 20.04 (Focal Fossa):DNE
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):deferred (2020-02-07)
Ubuntu 19.10 (Eoan Ermine):DNE
Ubuntu 20.04 (Focal Fossa):DNE
More Information

Updated: 2020-02-10 14:14:23 UTC (commit 65de15dcd4031e2e43516f63f0d8941d52335f02)